<template>
    <div v-if="!isLoading" :class="{ 'container app': true, 'app--loading': isLoading }">
        <h1 class="title">Timetable</h1>
        <Tabs />
        <router-view />
    </div>
    <div v-else class="spinner-wrapper">
        <div class="spinner-grow text-primary" role="status">
            <span class="visually-hidden">Loading...</span>
        </div>
    </div>
</template>

<script lang="ts">
import { useStore, mapState } from 'vuex';
import Tabs from './components/Tabs.vue';

export default {
    computed: {
        ...mapState(['isLoading']),
    },
    async created() {
        const store = useStore();
        await store.dispatch('loadBusStops');
    },
    components: {
        Tabs,
    }
}
</script>

<style lang="scss" scoped>
.title {
    font-size: 24px;
    font-weight: 600;
    letter-spacing: 0em;
}

.app {
    display: grid;
    grid-template-rows: auto auto auto 1fr;
    height: 100%;
    padding: 40px 32px;

    &--loading {
        display: flex;
        justify-content: center;
        align-items: center;
    }
}
</style>